lt-comp(1)

NAME
lt-comp - This application is part of the lexical processing modules and tools ( lttoolbox )

This tool is part of the apertium machine translation architecture: http://www.apertium.org.

SYNOPSIS
lt-comp [ -a | -v | -l | -r | -h ] [ lr | rl ] dictionary_file output_file [acx_file]

lt-comp [ --alt | --var | --var-left | --var-right | --help ] [ lr | rl ] dictionary_file output_file [acx_file]

DESCRIPTION
lt-comp Is the application responsible of compiling dictionaries used by lt-proc in Apertium into a compact and efficient representation (a class of finite-state transducers called augmented letter transducers).

OPTIONS

-a, --alt
    Sets the value of the alt attribute to use in compilation. Note that if no value is set, all entries containing an alt attribute are omitted.

-v, --var
    Sets the value of the v attribute to use in compilation. This should only be used with monodixes; for bidixes, see -l and -r. Note that if no value is set, all entries containing a v attribute are considered to be left-to-right.

-l, --var-left
    Sets the value of the vl attribute for use in compilation of bidixes. "Left" here refers to the side of the dictionary, so this option is only valid in rl mode.

-r, --var-right
    Sets the value of the vr attribute for use in compilation of bidixes. "Right" here refers to the side of the dictionary, so this option is only valid in lr mode.

-h, --help
    Prints a short help message

lr  The resulting transducer will process dictionary entries left-to-right.

rl  The resulting transducer will process dictionary entries right-to-left.

FILES
dictionary_file The input dictionary.

output_file The compiled dictionary (a finite state transducer).

acx_file Optional XML file of equivalent characters in monodices.

SEE ALSO
lt-proc(1), lt-expand(1), apertium-tagger(1), apertium(1).

BUGS
Lots of...lurking in the dark and waiting for you!

AUTHOR
(c) 2005,2006 Universitat d'Alacant / Universidad de Alicante.